Support » Plugin: Easy Watermark » PHP Warning: array_merge()

  • I am getting this php error
    “PHP Warning: array_merge(): Argument #2 is not an array in …..wp-content/plugins/easy-watermark/classes/class-ew-settings.php on line 96”

    The relevant plugin code is as follows;
    foreach($this->tabs as $name => $caption){
    $section = get_option($plugin->getSlug() . ‘-settings-‘ . $name);
    LN96 $this->settings[$name] = array_merge(self::$defaults[$name], $section);
    }

    Can you suggest a correction? Thanks.

  • The topic ‘PHP Warning: array_merge()’ is closed to new replies.